<?php

namespace Treewec\DirectoryPrinter;

/**
 * Test class for OutputFileHelper.
 * Generated by PHPUnit on 2012-09-03 at 14:22:48.
 * @group output
 */
class OutputFileHelperTest extends \PHPUnit_Framework_TestCase {

    /** @var OutputFileHelper */
    private $object;
    /** @var SplFileInfo */
    private $rootSpl;
    /** @var SplFileInfo */
    private $fileSpl;

    protected function setUp() {
        $this->object = new OutputFileHelper(TREEWEC_VIEW_DIR);
        $this->rootSpl = new \SplFileInfo(TREEWEC_VIEW_DIR);
        $this->fileSpl = new \SplFileInfo(TREEWEC_VIEW_DIR . 'hello-world.php');
    }

    public function testGetFilename() {
        parent::assertEquals(TREEWEC_MAINPAGE, $this->object->getFilename($this->rootSpl));
        parent::assertEquals(TREEWEC_MAINPAGE, $this->object->getFilename($this->rootSpl, '---'));
        
        $myRoot = new OutputFileHelper(TREEWEC_VIEW_DIR, 'My Root Name');
        parent::assertEquals('My Root Name', $myRoot->getFilename($this->rootSpl));
        
        parent::assertEquals('Hello world', $this->object->getFilename($this->fileSpl));
        parent::assertEquals('Hello---world', $this->object->getFilename($this->fileSpl, '---'));
    }

    public function testGetBaseLinkForURL() {
        parent::assertEquals('', $this->object->getBaseLinkForURL($this->rootSpl));
        parent::assertEquals('hello-world', $this->object->getBaseLinkForURL($this->fileSpl));
    }

}

?>
